Bug 990724 - qemu-kvm failing when invalid machine type is provided
qemu-kvm failing when invalid machine type is provided
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On: 990254
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 16:52 EDT by Ademar Reis
Modified: 2015-03-05 03:01 EST (History)
10 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-67.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 990254
Environment:
Last Closed: 2015-03-05 03:01:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Miroslav Rezanina 2014-02-25 11:42:24 EST
Move to 7.1 as fix still not accepted upstream.
Comment 3 Jeff Nelson 2014-08-08 12:54:49 EDT
Fix included in qemu-kvm-1.5.3-67.el7
Comment 5 huiqingding 2014-10-13 19:59:45 EDT
Reproduce this issue using the following version:
kernel-3.10.0-123.9.1.el7.x86_64
qemu-kvm-1.5.3-64.el7.x86_64

Steps to Reproduce:
# /usr/libexec/qemu-kvm -M error
Supported machines are:
none                 empty machine
pc                   RHEL 7.0.0 PC (i440FX + PIIX, 1996) (alias of pc-i440fx-rhel7.0.0)
pc-i440fx-rhel7.0.0  RHEL 7.0.0 PC (i440FX + PIIX, 1996) (default)
rhel6.5.0            RHEL 6.5.0 PC
rhel6.4.0            RHEL 6.4.0 PC
rhel6.3.0            RHEL 6.3.0 PC
rhel6.2.0            RHEL 6.2.0 PC
rhel6.1.0            RHEL 6.1.0 PC
rhel6.0.0            RHEL 6.0.0 PC
q35                  RHEL-7.0.0 PC (Q35 + ICH9, 2009) (alias of pc-q35-rhel7.0.0)
pc-q35-rhel7.0.0     RHEL-7.0.0 PC (Q35 + ICH9, 2009)
Comment 6 huiqingding 2014-10-13 20:09:08 EDT
Test this issue using the following version on an intel host:
kernel-3.10.0-188.el7.x86_64
qemu-kvm-1.5.3-75.el7.x86_64

Steps to Test:
# /usr/libexec/qemu-kvm -M error
qemu-kvm: -M error: Unsupported machine type
Use -machine help to list supported machines!
Comment 7 huiqingding 2014-10-13 20:58:47 EDT
Test this issue using the following version on an amd host:
kernel-3.10.0-187.el7.x86_64
qemu-kvm-rhev-2.1.2-3.el7.x86_64

Steps to Test:
# /usr/libexec/qemu-kvm -M error
qemu-kvm: -M error: Unsupported machine type
Use -machine help to list supported machines!
Comment 8 huiqingding 2014-10-13 21:01:37 EDT
Based on the results of comment 6 and comment 7, I think this issue has been fixed.
Comment 11 errata-xmlrpc 2015-03-05 03:01:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html

Note You need to log in before you can comment on or make changes to this bug.